### Function

# Gimp gradient_segment_range_set_blending_function

#### Declaration [src]

    gboolean
    gimp_gradient_segment_range_set_blending_function (
      const gchar* name,
      gint start_segment,
      gint end_segment,
      GimpGradientSegmentType blending_function
    )

#### Description [src]

Change the blending function of a segments range

This function changes the blending function of a segment range to the specified blending function.

Available since: | 2.2

#### Parameters

`name` | `const gchar*`
| The gradient name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`start_segment` | `gint`
| The index of the first segment to operate on.
`end_segment` | `gint`
| The index of the last segment to operate on. If negative, the selection will extend to the end of the string.
`blending_function` | `GimpGradientSegmentType`
| The blending function.

#### Return value

Returns: | `gboolean`
| TRUE on success.